Bug 276201 - Review Request: gt5 - A diff-capable 'du-browser'
Summary: Review Request: gt5 - A diff-capable 'du-browser'
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-04 14:36 UTC by Marcin Zajaczkowski
Modified: 2007-11-30 22:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 20:52:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Marcin Zajaczkowski 2007-09-04 14:36:29 UTC
Spec URL: http://timeoff.wsisiz.edu.pl/rpms/gt5/gt5.spec
SRPM URL: http://timeoff.wsisiz.edu.pl/rpms/gt5/gt5-1.3d-2.src.rpm
Description: Allows to check what takes the most of your hard disk space and track
its changes.

It's a very small program (in fact a script), but was very useful for me, so I decided to make a package for Fedora.

Comment 1 Marcin Zajaczkowski 2007-09-04 14:50:47 UTC
Ehh, those links weren't to the newest version of a package.

Spec URL: http://timeoff.wsisiz.edu.pl/rpms/gt5/gt5.spec
SRPM URL: http://timeoff.wsisiz.edu.pl/rpms/gt5/gt5-1.3d-3.src.rpm


Comment 2 Marcin Zajaczkowski 2007-09-04 15:45:15 UTC
Ehh, a package has been waiting for 4 months and in the meantime an author
sneakily released a new version ;)

Spec URL: http://timeoff.wsisiz.edu.pl/rpms/gt5/gt5.spec
SRPM URL: http://timeoff.wsisiz.edu.pl/rpms/gt5/gt5-1.4.0-1.src.rpm



Comment 3 Till Maas 2007-09-09 12:19:35 UTC
#sed is considered the minimum build environment
#see: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions
#Requires:	sed

Sed being in the minumum build environment only affects BuildRequires but not
Requires. But for building this packages, sed is not needed, so either you
should add Requires: sed to the spec. Also the package requires a console web
browser[1] for running, but I do not know how to ensure this with Requires. I
will ask on a mailing list. Maybe you should require gzip and coreutils, too,
then you should really have all requirements stated explicitly.



[1] to be precise: one out of "links links2 elinks lynx w3m" needs to be installed

Comment 4 Marcin Zajaczkowski 2007-09-11 18:52:32 UTC
I thought they can be omitted in both sections. Thanks for point it out.

I saw your thread on the mailing list and hopefully some generic provider will
be added in some future version of Fedora.
I added a note in description about required console web browser.

Updated version:
Spec URL: http://timeoff.wsisiz.edu.pl/rpms/gt5/gt5.spec
SRPM URL: http://timeoff.wsisiz.edu.pl/rpms/gt5/gt5-1.4.0-2.src.rpm


Comment 5 Parag AN(पराग) 2007-09-18 16:47:09 UTC
change source URL to
http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

you can change %defattr(0644,root,root,0755) to %defattr(-,root,root,-)

Comment 6 Marcin Zajaczkowski 2007-09-18 20:31:05 UTC
(In reply to comment #5)
> change source URL to
> http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

Why not. I'll do it in the next version.

> you can change %defattr(0644,root,root,0755) to %defattr(-,root,root,-)

My version is safer IMHO. For example there were problems in (at least) FC6
where due to some coincidences, permissions for files in /usr/share/app/ allowed
access for root only (600). I see no cons of my solution.

Comment 7 Mamoru TASAKA 2007-10-24 13:25:13 UTC
Who is reviewing this package now?

Comment 8 Parag AN(पराग) 2007-10-24 13:50:12 UTC
Mamoru,
  You proceed with this review. Would like to only CC member for this review.

Comment 9 Mamoru TASAKA 2007-10-24 15:02:22 UTC
Well,

* For this package it is better that you install gt5 script and
  man files by yourself using "install -p".
  This can easily keep timestamps and removes unneeded patch.
* For F-8+, text browser provides "text-www-browser" virtial Provides,
  so for F-8+, this package should require "text-www-browser".
* "INSTALL" file is for people who want to "install" this package by
  themselves and not needed for rpm users.

Comment 10 Marcin Zajaczkowski 2007-10-27 16:42:51 UTC
I made suggested changes, but I'm not really sure that a version with direct use
of install command is so much better.

Updated files:
Spec URL: http://timeoff.wsisiz.edu.pl/rpms/gt5/gt5.spec
SRPM URL: http://timeoff.wsisiz.edu.pl/rpms/gt5/gt5-1.4.0-4.src.rpm


Comment 11 Mamoru TASAKA 2007-10-28 07:16:25 UTC
Okay.

---------------------------------------------------------------------
    This package (gt5) is APPROVED by me
---------------------------------------------------------------------

Comment 12 Marcin Zajaczkowski 2007-10-29 11:33:00 UTC
New Package CVS Request
=======================
Package Name: gt5
Short Description: A diff-capable 'du-browser'
Owners: szpak
Branches: FC-6 F-7 F-8
InitialCC: 
Cvsextras Commits: yes

Comment 13 Marcin Zajaczkowski 2007-10-31 20:52:24 UTC
Imported, built and submitted for testing. Thanks for your help.


Note You need to log in before you can comment on or make changes to this bug.